summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Dave Woodfall2018-07-10 17:48:31 +0200
committer David Spencer2018-07-10 17:48:31 +0200
commitef90e8db2b2489acb21898303816b2f60773e654 (patch)
treee93fae59c20f5782a5840cc95578dca1524e2d0c
parent6cf78c1837e5cf1104a76e82721192e3a4fa27a0 (diff)
downloadslackbuilds-ef90e8db2b2489acb21898303816b2f60773e654.tar.gz
libraries/qca-qt5: Added (Qt Cryptographic Architecture for Qt5).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--libraries/qca-qt5/Add_support_for_OpenSSL_1.1.0.diff.gzbin0 -> 10948 bytes
-rw-r--r--libraries/qca-qt5/README11
-rw-r--r--libraries/qca-qt5/qca-qt5.SlackBuild118
-rw-r--r--libraries/qca-qt5/qca-qt5.info10
-rw-r--r--libraries/qca-qt5/qca.tlsunittest.cpp.diff.gzbin0 -> 632 bytes
-rw-r--r--libraries/qca-qt5/slack-desc19
6 files changed, 158 insertions, 0 deletions
diff --git a/libraries/qca-qt5/Add_support_for_OpenSSL_1.1.0.diff.gz b/libraries/qca-qt5/Add_support_for_OpenSSL_1.1.0.diff.gz
new file mode 100644
index 0000000000..040439a44a
--- /dev/null
+++ b/libraries/qca-qt5/Add_support_for_OpenSSL_1.1.0.diff.gz
Binary files differ
diff --git a/libraries/qca-qt5/README b/libraries/qca-qt5/README
new file mode 100644
index 0000000000..83d6c42327
--- /dev/null
+++ b/libraries/qca-qt5/README
@@ -0,0 +1,11 @@
+Qt Cryptographic Architecture for Qt5
+
+QCA aims to provide a straightforward and cross-platform crypto API,
+using Qt datatypes and conventions. QCA separates the API from the
+implementation, using plugins known as Providers. The advantage of
+this model is to allow applications to avoid linking to or explicitly
+depending on any particular cryptographic library. This allows one
+to easily change or upgrade crypto implementations without needing
+to recompile the application.
+
+QCA was written by Justin Karneges.
diff --git a/libraries/qca-qt5/qca-qt5.SlackBuild b/libraries/qca-qt5/qca-qt5.SlackBuild
new file mode 100644
index 0000000000..9fb933961d
--- /dev/null
+++ b/libraries/qca-qt5/qca-qt5.SlackBuild
@@ -0,0 +1,118 @@
+#!/bin/bash
+
+# Copyright 2006, 2008, 2009, 2016, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Modifications for qt5/sbo copyright 2018 Dave Woodfall <dave@dawoodfall.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Robby Workman <rworkman@slackware.com> for qca-2.0.0
+# No additional license terms and no copyright claim
+
+PRGNAM=qca-qt5
+SRCNAM=qca
+VERSION=${VERSION:-2.1.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.xz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Support OpenSSL-1.1.x:
+zcat $CWD/Add_support_for_OpenSSL_1.1.0.diff.gz | patch -p1 --verbose
+
+mkdir build
+cd build
+
+cmake \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DQCA_MAN_INSTALL_DIR=/usr/man \
+ -DQCA_FEATURE_INSTALL_DIR=/usr/lib${LIBDIRSUFFIX}/qt5/mkspecs/features/ \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_SHARED_LINKER_FLAGS="-lstdc++" \
+ -DLIB_SUFFIX="${LIBDIRSUFFIX}" \
+ -DQT4_BUILD:BOOL=OFF \
+ -DQT5_BUILD:BOOL=ON \
+ ..
+
+make
+make install DESTDIR=$PKG
+
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING INSTALL README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/qca-qt5/qca-qt5.info b/libraries/qca-qt5/qca-qt5.info
new file mode 100644
index 0000000000..47fbc9cbcb
--- /dev/null
+++ b/libraries/qca-qt5/qca-qt5.info
@@ -0,0 +1,10 @@
+PRGNAM="qca-qt5"
+VERSION="2.1.3"
+HOMEPAGE="https://userbase.kde.org/QCA"
+DOWNLOAD="http://download.kde.org/stable/qca/2.1.3/src/qca-2.1.3.tar.xz"
+MD5SUM="5019cc29efcf828681cd93164238ce26"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="qt5"
+MAINTAINER="Dave Woodfall"
+EMAIL="dave@dawoodfall.net"
diff --git a/libraries/qca-qt5/qca.tlsunittest.cpp.diff.gz b/libraries/qca-qt5/qca.tlsunittest.cpp.diff.gz
new file mode 100644
index 0000000000..a555ac0335
--- /dev/null
+++ b/libraries/qca-qt5/qca.tlsunittest.cpp.diff.gz
Binary files differ
diff --git a/libraries/qca-qt5/slack-desc b/libraries/qca-qt5/slack-desc
new file mode 100644
index 0000000000..da44da289e
--- /dev/null
+++ b/libraries/qca-qt5/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+qca-qt5: qca-qt5 (Qt Cryptographic Architecture for Qt5)
+qca-qt5:
+qca-qt5: QCA aims to provide a straightforward and cross-platform crypto API,
+qca-qt5: using Qt datatypes and conventions. QCA separates the API from the
+qca-qt5: implementation, using plugins known as Providers. The advantage of
+qca-qt5: this model is to allow applications to avoid linking to or explicitly
+qca-qt5: depending on any particular cryptographic library. This allows one
+qca-qt5: to easily change or upgrade crypto implementations without needing
+qca-qt5: to recompile the application.
+qca-qt5:
+qca-qt5: QCA was written by Justin Karneges.